--author: igor29381
--v1.0
--date: 08.06.20

MovingToolHelpText = {};

function MovingToolHelpText.prerequisitesPresent(specializations)
    return true;
end;

function MovingToolHelpText.registerEventListeners(vehicleType)
	SpecializationUtil.registerEventListener(vehicleType, "onLoad", MovingToolHelpText);
	SpecializationUtil.registerEventListener(vehicleType, "onRegisterActionEvents", MovingToolHelpText);
end;

function MovingToolHelpText:onLoad(savegame)
    if hasXMLProperty(self.xmlFile, "vehicle.cylindered") then
		if SpecializationUtil.hasSpecialization(Cylindered, self.specializations) then
			local spec = self.spec_cylindered;
			for i=1, #spec.movingTools do
				local key = string.format("vehicle.cylindered.movingTools.movingTool(%d)", i-1);
				if hasXMLProperty(self.xmlFile, key) then
					local helpText = Utils.getNoNil(getXMLString(self.xmlFile, key..".controls#helpText"), "");
					spec.movingTools[i].helpText = g_i18n:getText(helpText);
				end;
			end;
		end;
	end;
end;

function MovingToolHelpText:onRegisterActionEvents(isActiveForInput, isActiveForInputIgnoreSelection)
    if self.isClient then
        local spec = self.spec_cylindered;
        if isActiveForInputIgnoreSelection then
            for i=1, #spec.movingTools do
                local movingTool = spec.movingTools[i];
				local actionEvent = spec.actionEvents[movingTool.axisActionIndex];
				if actionEvent then
					g_inputBinding:setActionEventText(actionEvent.actionEventId, movingTool.helpText);
                end;
            end;
        end;
    end;
end;
